#include <bits/stdc++.h>
using namespace std;

int main()
{
    cout << fixed;
    cout << setprecision(4);
    
    int N;
    cin >> N;
    pair<double,int> A[N];
    double S,Inas;
    S=0;
    
    for(int i=0; i<N; i++)
    cin >> A[i].second >> A[i].first;
    
    sort(A,A+N);
        
    for(int i=0; i<N; i++)
    S+=A[0].first*A[i].second/100;
    
    Inas=S;
    
    for (int i=1; i<N; i++)
    {
        Inas=Inas-A[i-1].first*A[i-1].second/100;
        Inas=Inas/A[i-1].first*A[i].first;
        if (S<Inas) S=Inas;
    }
    cout << S;
    return 0;
}